TagLib::ID3v2::RelativeVolumeFrame::PeakVolume Struct Reference

Struct that stores the relevant values for ID3v2 peak volume. More...

`#include <relativevolumeframe.h>`

Collaboration diagram for TagLib::ID3v2::RelativeVolumeFrame::PeakVolume:
[legend]

## Public Attributes

unsigned char | bitsRepresentingPeak { 0 }
ByteVector | peakVolume

## Detailed Description

Struct that stores the relevant values for ID3v2 peak volume.

The peak volume is described as a series of bits that is padded to fill a block of bytes. These two values should always be updated in tandem.

## Member Data Documentation

## bitsRepresentingPeak

unsigned char TagLib::ID3v2::RelativeVolumeFrame::PeakVolume::bitsRepresentingPeak { 0 }

The number of bits (in the range of 0 to 255) used to describe the peak volume.

## peakVolume

ByteVector TagLib::ID3v2::RelativeVolumeFrame::PeakVolume::peakVolume

The array of bits (represented as a series of bytes) used to describe the peak volume.

The documentation for this struct was generated from the following file:

- relativevolumeframe.h